# grafica.js

grafica.js is a simple and configurable plotting library for [p5.js](http://p5js.org). It's the javaScript
version of the [grafica](https://github.com/jagracar/grafica) Processing library.
With it you can easily create 2D plots that will enjoy the full interactive capabilities of Processing in the web. 


## Main features

  * Make fancy scatter and linear plots that update in real time.
  * Display histograms in the vertical and horizontal directions.
  * Add several layers with different properties to the same plot.
  * It works both with linear and logarithmic scales.
  * Automatic axis tick determination.
  * Interactive zooming and panning. Make your data move!
  * Add labels to your points and display them with one click.
  * You can use images to represent your points.
  * Highly customizable. Defaults are nice, but you can tweak almost everything.
  * Processing coding style. If you are used to work with Processing (or p5.js), grafica.js will be very easy.
  * It comes with a good set of [examples](https://github.com/jagracar/grafica.js/tree/master/examples). Check them live at 
  [openprocessing](http://www.openprocessing.org/collection/4807) and [JSFiddle](http://jsfiddle.net/user/jagracar/fiddles/).
  * It's open source. grafica.js is under the GNU Lesser General Public License. You can find the complete source code [here](https://github.com/jagracar/grafica.js/tree/master/src).

## Installation

Download the [latest minified library release](https://raw.github.com/jagracar/grafica.js/master/releases/grafica.min.js) and follow the steps 
described [here](http://p5js.org/libraries/).
